import com.imsl.stat.*;

public class NormTwoSampleEx1 {
    public static void main(String args[]) {
        double mean;
        double x1[] = {72.0, 75.0, 77.0, 80.0, 104.0, 110.0, 125.0 };
        double x2[] = {111.0, 118.0, 128.0, 138.0, 140.0, 150.0,
        163.0, 164.0, 169.0 };
        
        /* Perform Analysis for one sample x2*/
        NormTwoSample n2samp = new NormTwoSample(x1,x2);
        mean = n2samp.getDiffMean();
        
        System.out.println("x1mean-x2mean  = "+mean);
        System.out.println("X1 mean ="+n2samp.getMeanX() );
        System.out.println("X2 mean ="+n2samp.getMeanY() );
        
        double pVar = n2samp.getPooledVariance();
        System.out.println("pooledVar = " + pVar);
        
        double loCI = n2samp.getLowerCIDiff();
        double upCI = n2samp.getUpperCIDiff();
        System.out.println("95% CI for the mean is " +
        loCI + " " + upCI);
        
        loCI = n2samp.getLowerCIDiff();
        upCI = n2samp.getUpperCIDiff();
        System.out.println("95% CI for the ueq mean is " +
        loCI + " " + upCI);
        
        System.out.println("T Test Results");
        double tDF = n2samp.getTTestDF();
        double tT = n2samp.getTTest();
        double tPval = n2samp.getTTestP();
        System.out.println("T default = "+tDF);
        System.out.println("t = "+tT);
        System.out.println("p-value = "+tPval);
        
        double stdevX = n2samp.getStdDevX();
        double stdevY = n2samp.getStdDevY();
        System.out.println("stdev x1 ="+stdevX);
        System.out.println("stdev x2 ="+stdevY);
    }
}